/* PSAction Object -- copyright 1993, 1994 by C.D.Lane */

#import <appkit/appkit.h>

@interface PSAction : Object
{
	id script;
	id target;
	id errors;
	id view;

	char *contents;
	Window *cache;
	NXRect bounds;
	struct _flags {
		unsigned int
#ifdef __BIG_ENDIAN__
		disabled:1,
		dontClearCache:1,
		dontReportError:1,
		:29;
#else
		:29,
		dontReportError:1,
		dontClearCache:1,
		disabled:1;
#endif
		} flags;
}

- init;
- free;

- (BOOL) isEnabled;
- setEnabled:(BOOL) flag;

- (BOOL) isCacheCleared;
- setCacheCleared:(BOOL) flag;

- (BOOL) isErrorReported;
- setErrorReported:(BOOL) flag;

- script;
- setScript:anObject;

- target;
- setTarget:anObject;

- errors;
- setErrors:anObject;

- view;
- setView:anObject;

- (int) intValue;
- takeIntValueFrom:sender;
- setIntValue:(int) anInt;
- integertype;
- booleantype;

- (const char *) stringValue;
- takeStringValueFrom:sender;
- setStringValue:(const char *) aString;
- stringtype;
- nametype;

- (float) floatValue;
- takeFloatValueFrom:sender;
- setFloatValue:(float) aFloat;
- realtype;

- (double) doubleValue;
- takeDoubleValueFrom:sender;
- setDoubleValue:(double) aDouble;

- read:(NXTypedStream *) stream;
- write:(NXTypedStream *) stream;

- (NXImage *) getIBImage;
- (const char *) getInspectorClassName;

- printf:(const char *) format, ...;
- scriptError:(NXHandler *) error;
- executeScript;

@end
